com.fasterxml.jackson.databind.cfg

## Class DatabindVersion

- java.lang.Object
- - com.fasterxml.jackson.core.util.VersionUtil
  - - com.fasterxml.jackson.databind.cfg.DatabindVersion

    public class DatabindVersion
    extends VersionUtil

Helper class used for finding and caching version information for the databind bundle. NOTE: although defined as public, should NOT be accessed directly from outside databind bundle itself.

### Field Summary

Fields
`static DatabindVersion` `instance`

### Fields inherited from class com.fasterxml.jackson.core.util.VersionUtil

`VERSION_FILE`

### Constructor Summary

Constructors
Constructor and Description
`DatabindVersion()`

### Method Summary

### Methods inherited from class com.fasterxml.jackson.core.util.VersionUtil

`mavenVersionFor, parseVersion, parseVersion, parseVersionPart, version, versionFor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### instance

    public static final DatabindVersion instance

### Constructor Detail

#### DatabindVersion

    public DatabindVersion()